package cpcns.dingZhi.dbf.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.linuxense.javadbf.DBFReader;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.common.service.ICommonService;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.dingZhi.dbf.model.DDBFJiLu;
import cpcns.dingZhi.dbf.model.DDBFMoBan;
import cpcns.dingZhi.dbf.service.DDBFJiLuService;
import cpcns.dingZhi.dbf.service.DDBFMoBanService;
import cpcns.utils.CommStatic;
import cpcns.utils.Json;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import cpcns.wenjianshouji.util.FileUtil;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.Writer;
import java.nio.charset.Charset;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.lang.StringUtils;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.multipart.commons.CommonsMultipartResolver;
import org.springframework.web.servlet.ModelAndView;

@Controller
@RequestMapping({"/dbfController"})
public class DDBFController extends DangAnBaseController {
  private static final Logger logger = Logger.getLogger(cpcns.dingZhi.dbf.controller.DDBFController.class);
  
  @Autowired
  private DDBFMoBanService ddbfMoBanService;
  
  @Autowired
  private DDBFJiLuService ddbfJiLuService;
  
  @Autowired
  private ICommonService<?> commonService;
  
  private String filePath = "";
  
  private List<String> sbList = new ArrayList<>();
  
  @RequestMapping({"/moBanList.do"})
  public String moBanList(HttpServletRequest request, Model model) {
    return "/dingZhi/dbf/moBan_list";
  }
  
  @RequestMapping({"/viewYingShe.do"})
  public ModelAndView viewYingShe(HttpServletRequest request, HttpServletResponse response, Model model) {
    ModelAndView mv = new ModelAndView("/dingZhi/dbf/viewMoBanSheZhi");
    mv.addObject("moBanID", request.getParameter("moBanID"));
    mv.addObject("moBanMingCheng", request.getParameter("moBanMingCheng"));
    mv.addObject("mbQuanZongHao", request.getParameter("mbQuanZongHao"));
    return mv;
  }
  
  @RequestMapping({"/queryMoBan.do"})
  public String queryMoBan(HttpServletRequest request, HttpServletResponse response, Model model) {
    logger.info("/dbfController/queryMoBan    查询模板列表开始");
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      PagerVO pagevo = this.ddbfMoBanService.query_SQL(this.start, this.number, "D_DBFMOBAN", map, CommStatic.getOrderBy(request, "createTime"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo).replaceAll(" 00:00:00", "")
        .replaceAll(":00", "").replaceAll("", "").replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("MOBANMINGCHENG", "moBanMingCheng")
        .replaceAll("MBQUANZONGHAO", "mbQuanZongHao").replaceAll("MUBIAOBIAOMING", "muBiaoBiaoMing").replaceAll("YUANWENLEIXING", "yuanWenLeiXing")
        .replaceAll("BAOGUANBUMENBIAOSHI", "baoGuanBuMenBiaoShi").replaceAll("BAOGUANBUMENMINGCHENG", "baoGuanBuMenMingCheng").replaceAll("ZIDUANYINGSHE", "ziDuanYingShe")
        .replaceAll("CREATETIME", "createTime").replaceAll("MBZHUANGTAI", "mbZhuangTai").replaceAll("DELETETIME", "deleteTime").replaceAll("BEIZHU", "beiZhu")
        .replaceAll("BEIYONGZIFU", "beiYongZiFu").replaceAll("BEIYONGZI", "beiYongZi");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
      System.out.println("/dbfController/queryMoBan--系统异常：" + e.getMessage());
      logger.info("/dbfController/queryMoBan    查询模板列表异常");
    } 
    logger.info("/dbfController/queryMoBan    查询模板列表结束");
    return null;
  }
  
  @RequestMapping({"/jiLuList.do"})
  public String JiLuList(HttpServletRequest request, Model model) {
    return "/dingZhi/dbf/jiLu_list";
  }
  
  @RequestMapping({"/queryJiLu.do"})
  public String queryJiLu(HttpServletRequest request, HttpServletResponse response, Model model) {
    logger.info("/dbfController/queryJiLu    查询记录列表开始");
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      PagerVO pagevo = this.ddbfJiLuService.query_SQL(this.start, this.number, "D_DBFJILU", map, CommStatic.getOrderBy(request, "KaiShiShiJian"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo).replaceAll(" 00:00:00", "")
        .replaceAll(":00", "").replaceAll("", "").replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("CAOZUORENBIAOSHI", "caoZuoRenBiaoShi")
        .replaceAll("CAOZUORENMINGCHENG", "caoZuoRenMingCheng").replaceAll("IP", "IP").replaceAll("WANGKABIAOSHI", "wangKaBiaoShi")
        .replaceAll("KAISHISHIJIAN", "KaiShiShiJian").replaceAll("JIESUSHIJIAN", "jieSuShiJian").replaceAll("MOBANMINGCHENG", "moBanMingCheng")
        .replaceAll("MUBIAOBIAOMING", "muBiaoBiaoMing").replaceAll("YUANWENLEIXING", "yuanWenLeiXing").replaceAll("JILUZHUANGTAI", "jiLuZhuangTai").replaceAll("MIAOSHU", "maioShu")
        .replaceAll("BEIZHU", "beiZhu").replaceAll("BEIYONGZIFU", "beiYongZiFu").replaceAll("BEIYONGZI", "beiYongZi");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
      System.out.println("/dbfController/queryMoBan--系统异常：" + e.getMessage());
      logger.info("/dbfController/queryMoBan    查询记录列表异常");
    } 
    logger.info("/dbfController/queryMoBan    查询记录列表结束");
    return null;
  }
  
  @RequestMapping({"/dbfView.do"})
  public ModelAndView dbfView(HttpServletRequest request) throws Exception {
    ModelAndView mv = new ModelAndView("/dingZhi/dbf/WenJianXuanZe");
    return mv;
  }
  
  @RequestMapping({"/getMoBan"})
  public String yingSheMoBan(HttpServletRequest request, HttpServletResponse response, Model model) {
    logger.info("/dbfController/getMoBan    获取映射模板开始");
    Map<String, Object> resultMap = new HashMap<>();
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      String page = request.getParameter("page");
      String rows = request.getParameter("rows");
      int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
      int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
      int start = (intPage - 1) * number;
      PagerVO pagevo = this.ddbfMoBanService.query_SQL(Integer.valueOf(start), Integer.valueOf(number), "D_DBFMOBAN", map, CommStatic.getOrderBy(request, "createTime"));
      List<?> reList = pagevo.getRows();
      List<Map<String, Object>> mbmcList = new ArrayList<>();
      if (reList.size() > 0)
        for (int i = 0; i < reList.size(); i++) {
          Map<String, Object> mapV = new HashMap<>();
          Map<String, Object> temp = (Map<String, Object>)reList.get(i);
          mapV.put("moBanMingCheng", temp.get("MOBANMINGCHENG"));
          mapV.put("moBanBiaoShi", temp.get("HANGBIAOSHI"));
          mbmcList.add(mapV);
        }  
      resultMap.put("result", mbmcList);
      write(response, Json.Map2Json(resultMap));
      logger.info("/dbfController/getMoBan    获取映射模板结束");
    } catch (Exception e) {
      System.out.println("/dbfController/getMoBan--系统异常：" + e.getMessage());
      logger.info("/dbfController/getMoBan    获取映射模板异常");
    } 
    return null;
  }
  
  @RequestMapping({"/dbfSheZhi"})
  public ModelAndView dbfSheZhi(HttpServletRequest request, HttpServletResponse response, Model model) {
    logger.info("/dbfController/dbfSheZhi    上传DBF文件开始");
    try {
      String id = request.getParameter("yingSheMoBan");
      if (StringUtils.isNotBlank(id)) {
        DDBFMoBan mb = (DDBFMoBan)this.ddbfMoBanService.getById(DDBFMoBan.class, Integer.valueOf(id));
        if (mb != null) {
          request.getSession().setAttribute("moBanID", mb.getHangBiaoShi());
          request.getSession().setAttribute("moBanMingCheng", mb.getMoBanMingCheng());
        } 
      } else {
        request.getSession().setAttribute("moBanID", "");
        request.getSession().setAttribute("moBanMingCheng", "");
      } 
      CommonsMultipartResolver multipartResolver = new CommonsMultipartResolver(request.getSession().getServletContext());
      if (multipartResolver.isMultipart(request)) {
        MultipartHttpServletRequest multiRequest = (MultipartHttpServletRequest)request;
        Iterator<String> iter = multiRequest.getFileNames();
        while (iter.hasNext()) {
          MultipartFile file = multiRequest.getFile(iter.next());
          if (file != null) {
            String myFileName = file.getOriginalFilename();
            if (myFileName.trim() != "") {
              String genFileName = FileUtil.createRandomFileName(".dbf");
              this.filePath = String.valueOf(AppConfiguration.getConfigValue("dbf_url")) + genFileName;
              System.out.println("DBF保存路径-------" + this.filePath);
              File localFile = new File(this.filePath);
              if (!localFile.exists())
                localFile.mkdirs(); 
              try {
                file.transferTo(localFile);
              } catch (IllegalStateException e) {
                e.printStackTrace();
              } catch (IOException e) {
                e.printStackTrace();
              } 
            } 
          } 
        } 
      } 
      logger.info("/dbfController/dbfSheZhi    上传DBF文件结束");
    } catch (Exception e) {
      System.out.println("/dbfController/dbfSheZhi--系统异常：" + e.getMessage());
      logger.info("/dbfController/dbfSheZhi    上传DBF文件异常");
    } 
    ModelAndView mv = new ModelAndView("/dingZhi/dbf/MoBanSheZhi");
    return mv;
  }
  
  @RequestMapping({"queryMuBiaoZiDuan"})
  public String queryMuBiaoZiDuan(HttpServletRequest request, HttpServletResponse response, Model model) {
    logger.info("/dbfController/queryMuBiaoZiDuan    查询目标字段开始");
    List<Object> columnList = new ArrayList();
    try {
      String table = request.getParameter("table");
      String column = this.ddbfMoBanService.getBiaoShuXing(table);
      if (StringUtils.isNotBlank(column)) {
        String[] coList = column.split(";");
        for (int i = 0; i < coList.length; i++) {
          String list = coList[i];
          String[] co = list.split(",");
          if (!co[0].contains("HANGBIAOSHI"))
            columnList.add(co[0]); 
        } 
      } 
      write(response, Json.List2Json(columnList));
    } catch (Exception e) {
      System.out.println("/dbfController/queryMuBiaoZiDuan--系统异常：" + e.getMessage());
      logger.info("/dbfController/queryMuBiaoZiDuan    查询目标字段异常");
    } 
    logger.info("/dbfController/queryMuBiaoZiDuan    查询目标字段结束");
    return null;
  }
  
  @RequestMapping({"queryYuanZiDuan"})
  public String queryYuanZiDuan(HttpServletRequest request, HttpServletResponse response, Model model) {
    logger.info("/dbfController/queryYuanZiDuan    获取dbf字段开始");
    Map<String, Character> dbfInfo = new HashMap<>();
    Map<String, List<Object>> dbfData = new HashMap<>();
    try {
      FileInputStream fis = new FileInputStream(new File(this.filePath));
      DBFReader reader = new DBFReader(fis);
      for (int i = 0; i < reader.getFieldCount(); i++) {
        String name = reader.getField(i).getName();
        dbfInfo.put(name, Character.valueOf((char)reader.getField(i).getDataType()));
        dbfData.put(reader.getField(i).getName(), new ArrayList());
      } 
      fis.close();
      write(response, Json.Map2Json(dbfData));
    } catch (Exception e) {
      System.out.println("/dbfController/queryYuanZiDuan--系统异常：" + e.getMessage());
      logger.info("/dbfController/queryYuanZiDuan    获取dbf字段异常");
    } 
    logger.info("/dbfController/queryYuanZiDuan    获取dbf字段结束");
    return null;
  }
  
  public static List<Map<String, Object>> readDbf(String path, String charsetName) throws IOException {
    List<Map<String, Object>> rowList = new ArrayList<>();
    Charset charset = Charset.forName(charsetName);
    DBFReader dbfReader = new DBFReader(new FileInputStream(path), charset);
    Object[] rowValues;
    while ((rowValues = dbfReader.nextRecord()) != null) {
      Map<String, Object> rowMap = new HashMap<>();
      for (int i = 0; i < rowValues.length; i++)
        rowMap.put(dbfReader.getField(i).getName(), String.valueOf(rowValues[i]).trim()); 
      rowList.add(rowMap);
    } 
    return rowList;
  }
  
  @RequestMapping({"/daoRuDBF"})
  public String daoRuDBF(HttpServletRequest request, HttpServletResponse response) {
    logger.info("/dbfController/daoRuDBF    导入DBF映射数据开始");
    try {
      SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
      Map<String, Object> resultMap = new HashMap<>();
      String kssj = df.format(new Date());
      String jlzt = "";
      String yingshe = request.getParameter("yingshe");
      String moBanMingCheng = request.getParameter("moBanMingCheng");
      String mbQuanZongHao = request.getParameter("mbQuanZongHao");
      String baoGuanBuMenBiaoShi = request.getParameter("baoGuanBuMenBiaoShi");
      String baoGuanBuMenMingCheng = request.getParameter("baoGuanBuMenMingCheng");
      String muBiaoBiaoMing = request.getParameter("muBiaoBiaoMing");
      String yuanWenLeiXing = request.getParameter("yuanWenLeiXing");
      String saveCheck = request.getParameter("saveCheck");
      if ("true".equals(saveCheck)) {
        List<?> mbList = this.ddbfMoBanService.getMoBanMingCheng(moBanMingCheng);
        if (mbList.size() > 0) {
          resultMap.put("success", Boolean.valueOf(false));
          resultMap.put("info", "模板已存在，请更换模板名称！");
          write(response, Json.Map2Json(resultMap));
          return null;
        } 
        DDBFMoBan db = new DDBFMoBan();
        db.setHangBiaoShi(Integer.valueOf(this.ddbfMoBanService.getPk("D_DBFMOBAN")));
        db.setMoBanMingCheng(moBanMingCheng);
        db.setMbQuanZongHao(mbQuanZongHao);
        db.setMuBiaoBiaoMing(muBiaoBiaoMing);
        db.setYuanWenLeiXing(yuanWenLeiXing);
        db.setBaoGuanBuMenMingCheng(baoGuanBuMenMingCheng);
        db.setZiDuanYingShe(yingshe);
        String date = df.format(new Date());
        db.setCreateTime(date);
        db.setMbZhuangTai(Integer.valueOf(1));
        this.ddbfMoBanService.save(db);
      } 
      System.out.println(yingshe);
      List<Map<String, Object>> yingSeList = new ArrayList<>();
      Map<String, Object> yingSeType = new HashMap<>();
      String mapResult = "";
      Map<String, Object> resultInfo = new HashMap<>();
      if (StringUtils.isNotBlank(this.filePath)) {
        List<Map<String, Object>> dbfList = readDbf(this.filePath, "GBK");
        if (dbfList.size() > 0) {
          for (int i = 0; i < dbfList.size(); i++) {
            Map<String, Object> dbfMap = dbfList.get(i);
            mapResult = String.valueOf(((Map)dbfList.get(i)).toString()) + ";";
            String[] ys = yingshe.split(",");
            if (ys.length > 0)
              for (int j = 0; j < ys.length; j++) {
                String ysjg = ys[j];
                String[] jg = ysjg.split(":");
                String yuanZiDuan = jg[0];
                String muBiaoZiDuan = jg[1];
                String type = getColumnType(muBiaoBiaoMing, muBiaoZiDuan);
                yingSeType.put(muBiaoZiDuan, type);
                dbfMap.put(muBiaoZiDuan, dbfMap.remove(yuanZiDuan));
              }  
            yingSeList.add(dbfMap);
          } 
          System.out.println("最终替换字段：：：：" + yingSeList);
        } 
        resultInfo = saveYingSheShuJu(yingSeList, yingSeType, muBiaoBiaoMing);
        request.getSession().setAttribute("muBiaoBiaoMing", muBiaoBiaoMing);
        resultMap.put("success", Boolean.valueOf(true));
        resultMap.put("resultInfo", resultInfo);
      } else {
        resultMap.put("success", Boolean.valueOf(false));
        resultMap.put("info", "请重新上传DBF文件");
      } 
      String jssj = df.format(new Date());
      writeJiLu(request, kssj, jssj, moBanMingCheng, muBiaoBiaoMing, resultInfo.get("success").toString());
      write(response, Json.Map2Json(resultMap));
    } catch (Exception e) {
      System.out.println("/dbfController/daoRuDBF--系统异常：" + e.getMessage());
      logger.info("/dbfController/daoRuDBF    导入DBF映射数据异常");
    } 
    logger.info("/dbfController/daoRuDBF    导入DBF映射数据结束");
    return null;
  }
  
  private Map<String, Object> saveYingSheShuJu(List<Map<String, Object>> list, Map<String, Object> map, String table) {
    Map<String, Object> resultMap = new HashMap<>();
    try {
      int cgSum = 0, sbSum = 0;
      if (list.size() > 0) {
        this.sbList.clear();
        for (int i = 0; i < list.size(); i++) {
          String key = "";
          Object value = "";
          Map<String, Object> str = list.get(i);
          for (String mapKey : str.keySet()) {
            String sbYuanYin = "";
            Object mapValue = str.get(mapKey);
            String yingSheType = "";
            try {
              yingSheType = map.get(mapKey).toString();
            } catch (Exception e) {
              sbYuanYin = "插入字段【" + mapKey + "】数据【" + mapValue + "】类型不匹配，请检查对应字段或原数据！";
              this.sbList.add(sbYuanYin);
              continue;
            } 
            System.out.println(yingSheType);
            try {
              String str1;
              switch ((str1 = yingSheType).hashCode()) {
                case -1981034679:
                  if (!str1.equals("NUMBER"))
                    break; 
                  System.out.println("NUMBER-------------" + mapValue);
                  mapValue = Integer.valueOf(mapValue.toString());
                  break;
                case -472293131:
                  if (!str1.equals("VARCHAR2"))
                    break; 
                  mapValue = "'" + mapValue + "'";
                  break;
              } 
            } catch (Exception e) {
              sbYuanYin = "插入字段【" + mapKey + "】数据【" + mapValue + "】类型不匹配，请检查对应字段或原数据！";
              this.sbList.add(sbYuanYin);
            } 
            key = String.valueOf(key) + mapKey + ",";
            value = String.valueOf(value) + mapValue + ",";
          } 
          String sqlMax = "select max(HANGBIAOSHI) as MAX FROM " + table;
          System.out.println(sqlMax);
          List<Object> listMax = this.commonService.getList(sqlMax);
          key = String.valueOf(key) + "hangBiaoShi";
          if (listMax.size() > 0 && listMax.get(0) != null) {
            Integer hbs = Integer.valueOf(listMax.get(0).toString());
            value = String.valueOf(value) + (hbs.intValue() + 1);
          } else {
            value = String.valueOf(value) + Integer.valueOf(i + 1);
          } 
          String sql = "insert into " + table + " ( " + key + " ) values( " + value + " )";
          System.out.println("插入SQL语句---------" + sql);
          try {
            this.commonService.deletSQL(sql);
            cgSum++;
          } catch (Exception e) {
            sbSum++;
          } 
        } 
      } 
      resultMap.put("gjSum", Integer.valueOf(list.size()));
      resultMap.put("cgSum", Integer.valueOf(cgSum));
      resultMap.put("sbSum", Integer.valueOf(sbSum));
      resultMap.put("sbYuanYin", this.sbList);
      if (sbSum > 0) {
        resultMap.put("success", Integer.valueOf(2));
      } else {
        resultMap.put("success", Integer.valueOf(1));
      } 
      deleteDBFFile(this.filePath);
    } catch (Exception e) {
      System.out.println(e.getMessage());
    } 
    return resultMap;
  }
  
  public static boolean isNumeric(String str) {
    for (int i = 0; i < str.length(); i++) {
      System.out.println(str.charAt(i));
      if (!Character.isDigit(str.charAt(i)))
        return false; 
    } 
    return true;
  }
  
  private static void show(Map<String, Object> map) {
    for (Map.Entry<String, Object> entry : map.entrySet()) {
      String mapKey = entry.getKey();
      Object object = entry.getValue();
    } 
  }
  
  @RequestMapping({"/queryYingShe"})
  private String queryYingShe(HttpServletRequest request, HttpServletResponse response) {
    Map<String, Object> resultMap = new HashMap<>();
    try {
      String mbId = request.getParameter("moBanID");
      if (StringUtils.isNotBlank(mbId)) {
        DDBFMoBan mb = (DDBFMoBan)this.ddbfMoBanService.getById(DDBFMoBan.class, Integer.valueOf(mbId));
        List<Map<String, Object>> resultList = new ArrayList<>();
        if (mb != null) {
          String zdys = mb.getZiDuanYingShe();
          String[] yingShe = zdys.split(",");
          if (yingShe.length > 0)
            for (int i = 0; i < yingShe.length; i++) {
              Map<String, Object> reMap = new HashMap<>();
              String strys = yingShe[i];
              String[] kv = strys.split(":");
              reMap.put(kv[0], kv[1]);
              resultList.add(reMap);
            }  
          resultMap.put("muBiaoBiaoMing", mb.getMuBiaoBiaoMing());
          resultMap.put("result", resultList);
          resultMap.put("success", Integer.valueOf(1));
          resultMap.put("info", "加载成功！");
        } else {
          resultMap.put("result", "");
          resultMap.put("success", Integer.valueOf(0));
          resultMap.put("info", "未查询到模板！");
        } 
      } else {
        resultMap.put("result", "");
        resultMap.put("success", Integer.valueOf(0));
        resultMap.put("info", "参数为空！");
      } 
      write(response, Json.Map2Json(resultMap));
    } catch (Exception e) {
      System.out.println(e.getMessage());
    } 
    return null;
  }
  
  public Object getYuanZiDuanValue(String ziDuanMingCheng) {
    Object obj = new Object();
    try {
      List<Map<String, Object>> dbfList = readDbf(this.filePath, "GBK");
      if (dbfList.size() > 0) {
        int i = 0;
        if (i < dbfList.size()) {
          Map<String, Object> dbfMap = dbfList.get(i);
          obj = dbfMap.get(ziDuanMingCheng);
        } 
      } 
    } catch (Exception exception) {}
    return obj;
  }
  
  @RequestMapping({"/drXinXi"})
  public ModelAndView drXinXi(HttpServletRequest request, HttpServletResponse response) {
    Object muBiaoBiaoMing = request.getSession().getAttribute("muBiaoBiaoMing");
    ModelAndView mv = new ModelAndView("/dingZhi/dbf/DaoRuXinXi");
    mv.addObject("muBiaoBiaoMing", muBiaoBiaoMing);
    return mv;
  }
  
  private String getColumnType(String table, String ColumnName) {
    String column = this.ddbfMoBanService.getBiaoShuXing(table);
    if (StringUtils.isNotBlank(column)) {
      String[] coList = column.split(";");
      for (int i = 0; i < coList.length; i++) {
        String mbzdList = coList[i];
        String[] co = mbzdList.split(",");
        if (ColumnName.equals(co[0]))
          return co[1]; 
      } 
    } 
    return null;
  }
  
  @RequestMapping({"saveRiZhi"})
  public String saveRiZhi(HttpServletRequest request, HttpServletResponse respons) {
    try {
      SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmssSSS");
      String dd = sdf.format(new Date());
      String fl = String.valueOf(AppConfiguration.getConfigValue("dbf_url")) + dd + ".txt";
      File outFile1 = new File(fl);
      Writer out = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(outFile1, true), "utf-8"), 10240);
      for (int i = 0; i < this.sbList.size(); i++)
        out.write(String.valueOf(this.sbList.get(i)) + "\r\n"); 
      out.flush();
      out.close();
      String path = "http://" + request.getServerName() + ":" + request.getServerPort() + "/CPCNS0412_DianZiDangAn/CPCNS/upload/dbf/" + dd + ".txt";
      write(respons, path);
    } catch (Exception exception) {}
    return null;
  }
  
  private void deleteDBFFile(String filePath) {
    File file = new File(filePath);
    if (file.exists()) {
      file.delete();
      System.out.println("删除成功");
    } 
  }
  
  private void writeJiLu(HttpServletRequest request, String kssj, String jssj, String moBanMingCheng, String muBiaoBiaoMing, String success) {
    DDBFJiLu jl = new DDBFJiLu();
    jl.setHangBiaoShi(Integer.valueOf(this.ddbfJiLuService.getPk("D_DBFJILU")));
    jl.setCaoZuoRenBiaoShi(getUser().getBiaoShi());
    jl.setCaoZuoRenMingCheng(getUser().getMingCheng());
    jl.setKaiShiShiJian(kssj);
    jl.setJieSuShiJian(jssj);
    jl.setMoBanMingCheng(moBanMingCheng);
    jl.setMuBiaoBiaoMing(muBiaoBiaoMing);
    jl.setJiLuZhuangTai(Integer.valueOf(success));
    this.ddbfJiLuService.save(jl);
  }
}
